Eric Hodel wrote:
> = Announce: RubyGems Release 1.2.0
>
> Release 1.2.0 adds new features and fixes some bugs.
>
Very cool. One thing though:
I run into an issue with multiple gem servers: I added the datamapper 
server for their gems (still at 1.1.0 at the time) and one day the DM 
server started returning 404s for the yaml list of gems.
Now, the 1.1.0 version wouldn't even allow me to remove the server 
because it would try to do a bulk update and bomb out on the 404.
Thankfully 1.2.0 fixed this :).
Now the problem is that any problem with any of the servers interrupts 
the gem operation. Gem should gracefully handle gem server failures and 
attempt list, search, install and update with the remaining.
That's not much to ask for, is it? ;)
Cheers,
V.-


-- 
http://www.braveworld.net/riva